    function Caminho(canvas, context){
        this.canvas = canvas;
        this.context = context;
        this.multiply = this.canvas.height/320;
        this.Redmensionado = false;
        this.escolha = false;
        
        this.imgBase = new Image();
        this.imgBase.src = "img/outros/base.png";
        
        this.imgZueira = new Image();
        this.imgZueira.src = "img/outros/placazueira.png";
        
        this.SptRole = new Sprite(this.canvas, this.context, "img/outros/placarole.png", 1,2);
        this.SptRole.AnimaSprite = false;
        if(Reg.rolezinho == 1)
            this.SptRole.coluna = 2;
        else
            this.SptRole.coluna = 1;
        
        this.SptCorrup = new Sprite(this.canvas, this.context, "img/outros/placacorrup.png", 1,2);
        this.SptCorrup.AnimaSprite = false;
        if(Reg.corruption == 1)
            this.SptCorrup.coluna = 2;
        else
            this.SptCorrup.coluna = 1;
        
        this.SptVoltar = new Sprite(this.canvas, this.context, "img/outros/voltar.png", 1,2);
        this.SptVoltar.AnimaSprite = false;
        this.SptVoltar.coluna = 1;
    }
    
    Caminho.prototype = {
        Atualizar: function (){
            if(!this.Redmensionado)
                this.Resize();
        },
        
        Desenhar: function (){
            this.context.fillStyle = "#C6FAFD";
            this.context.fillRect(0,0,this.canvas.width,this.canvas.height);
            //this.context.clearRect(0,0,this.canvas.width,this.canvas.height);
            
            this.context.drawImage(this.imgBase,
                                    this.canvas.width/2 - this.imgBase.width/2,
                                    this.canvas.height-this.imgBase.height,
                                    this.imgBase.width,this.imgBase.height);
            
            this.context.drawImage(this.imgZueira,
                                    this.canvas.width/2 - this.imgZueira.width/2,
                                    this.canvas.height-this.imgBase.height*0.97,
                                    this.imgZueira.width,this.imgZueira.height);
            
            
            this.SptRole.nvX = this.canvas.width/2 - this.SptRole.colmap/2;
            this.SptRole.nvY = this.canvas.height-this.imgBase.height*0.97+this.imgZueira.height*1.05;
            this.SptRole.Desenhar();
            
            this.SptCorrup.nvX = this.canvas.width/2 - this.SptCorrup.colmap/2;
            this.SptCorrup.nvY = this.canvas.height-this.imgBase.height*0.97+this.imgZueira.height*1.05+this.SptRole.lnmap*1.05;
            this.SptCorrup.Desenhar();     
            
            this.SptVoltar.nvX = this.canvas.width/2*0.005;
            this.SptVoltar.nvY = this.canvas.height*0.005;
            this.SptVoltar.Desenhar();         
            
        },
        
        Resize: function(){
            if(this.imgBase.width > 0 && this.imgZueira.width >0){
                this.imgBase.width = this.imgBase.width*this.multiply;
                this.imgBase.height = this.imgBase.height*this.multiply;
                
                this.imgZueira.width = this.imgZueira.width*this.multiply;
                this.imgZueira.height = this.imgZueira.height*this.multiply;
                
                this.Redmensionado = true;
            }
        },
        
        OpcZueira: function (){
            if(adMobConexao)
                window.plugins.AdMob.destroyBannerView();
            Sons.btnWood.play();
            Reg.level = 1;
            localStorage.setItem("nivel",1);
            Conto.ImgGibi.src = "img/outros/iniciohist1.png";
            Conto.conta = true;
        },
        
        OpcRole: function (){
            if(adMobConexao)
                window.plugins.AdMob.destroyBannerView();
            Sons.btnWood.play();
            Reg.level = 2;
            localStorage.setItem("nivel",2);
            Conto.ImgGibi.src = "img/outros/iniciohist2.png";
            Conto.conta = true;
        },
        
        OpcCorrup: function (){
            if(adMobConexao)
                window.plugins.AdMob.destroyBannerView();
            Sons.btnWood.play();
            Reg.level = 3;
            localStorage.setItem("nivel",3);
            Conto.ImgGibi.src = "img/outros/iniciohist3.png";
            Conto.conta = true;
        },
        
        OpcVoltar: function (){
            this.SptVoltar.coluna = 2;
            Template.Start.coluna = 1;
            this.escolha = false;
        }
    };

