    function Criador(canvas, context){
        this.canvas = canvas;
        this.context = context;
        this.multiply = this.canvas.height/320;
        this.imgLocal = [];
        this.TrollVoador = new ZigZag(this.canvas, this.context, "img/outros/trollvoador.png",
                                    2,4,this.canvas.width*1.2,
                                    this.canvas.height*0.3, this.canvas.height*0.3,1);
        this.TrollVoador.intervalo = 100;
        this.MaxSub = 6+Reg.level;
        this.MaxMonstro = 3+Reg.level;
        this.MaxPiriguete = 2+Reg.level;
        this.MaxEspecial = 2;
        this.subGerados = 0;
        this.pirigGerados = 0;
        this.monsGerados = 0;
        this.espGerados = 0;
        this.Trollnumero = 1;
        this.VetSubZero = [];
        this.VetMonstro = [];
        this.VetPiriguete = [];
        this.VetEspecial = [];
        this.TExec = false;
        this.imgLocal.push('img/inimigo/osubzero/osub0.png','img/inimigo/osubzero/osub1.png','img/inimigo/osubzero/osub2.png',
            'img/inimigo/osubzero/mala0.png','img/inimigo/osubzero/mala1.png','img/inimigo/osubzero/mala2.png',
            'img/inimigo/osubzero/ninja0.png','img/inimigo/osubzero/ninja1.png','img/inimigo/osubzero/ninja2.png',
            'img/inimigo/monstro/monstro0.png','img/inimigo/monstro/monstro1.png','img/inimigo/monstro/monstro2.png',
            'img/inimigo/monstro/ouro0.png','img/inimigo/monstro/ouro1.png','img/inimigo/monstro/ouro2.png',
            'img/inimigo/monstro/choque0.png','img/inimigo/monstro/choque1.png','img/inimigo/monstro/choque2.png',
            'img/inimigo/pirig/piriguete0.png','img/inimigo/pirig/piriguete1.png','img/inimigo/pirig/piriguete2.png',
            'img/inimigo/pirig/dj0.png','img/inimigo/pirig/dj1.png','img/inimigo/pirig/dj2.png',
            'img/inimigo/pirig/corrup0.png','img/inimigo/pirig/corrup1.png','img/inimigo/pirig/corrup2.png',
            'img/inimigo/especial/ladrao0.png','img/inimigo/especial/ladrao1.png','img/inimigo/especial/ladrao2.png',
            'img/inimigo/especial/milite0.png','img/inimigo/especial/milite1.png','img/inimigo/especial/milite2.png',
            'img/inimigo/especial/polica0.png','img/inimigo/especial/polica1.png','img/inimigo/especial/polica2.png');
    }
    
    Criador.prototype = {
        Atualizar: function (){
            this.ExibeTroll();
            if(this.TExec)
                this.TrollVida();
            if(TelaFundo.Porcent < 1)
                this.CriaTudo();
            else{
                Velocidade = 0;
                if(!TheEnd.fim)
                    this.KillAll();
            }
            
            this.ExecutaAcao();
            if(!Ultimate.ExecutaEspace)
                this.RemoveMorto();
            
        },
        
        Desenhar: function (){
            if(this.TExec)
                this.TrollVoador.Pinta();
            this.ExecutaAnimacao();
            //$("#test").text(this.VetEspecial.length+this.VetSubZero.length+this.VetPiriguete.length+this.VetMonstro.length);
        },
        
        TrollVida: function(){
            if(this.TrollVoador.Colediu && this.TrollVoador.coluna == 4){
                this.TExec = false;
                FckHeroi.Health++;
            }else if(this.TrollVoador.nvX+this.TrollVoador.colmap < -10){
                this.TExec = false;
            }

            this.TrollVoador.Atualizar();
        },
        
        ExibeTroll: function (){
            var max = 3+Reg.level;
            var positions =1/(max+1);
            
            if(TelaFundo.Porcent > this.Trollnumero*positions && this.Trollnumero <= max && !this.TExec){
                this.TrollVoador.Colediu = false;
                this.TrollVoador.linha = 1;
                this.TrollVoador.coluna = 1;
                this.TrollVoador.AnimaSprite = true;
                this.TrollVoador.nvX = this.canvas.width*1.2;
                this.TrollVoador.nvY = this.canvas.height*0.3;
                this.TExec = true;
                this.Trollnumero++;
            }
                
        },
        
        CriaTudo: function(){
            var qtd = 0;
            var Max =0;
            var Tipo=0;
            qtd = (TelaFundo.Porcent+0.1)*Math.random()*(this.MaxSub-this.subGerados);
            Max = (TelaFundo.Porcent+0.1)*this.MaxSub;
            if(qtd<1 && this.subGerados == 0){
                Max =1
                qtd=1;
            }
            Tipo=Math.floor(Math.random()*3);
            for(var i = 0; i < Math.floor(qtd) && Max>this.VetSubZero.length; i++){
                this.VetSubZero.push(new SubZero(this.canvas, this.context, this.imgLocal[(3*Reg.level-1)-Tipo],6,6,
                                    this.canvas.width*1.1+15*i*this.multiply, this.canvas.height*0.55));
                this.subGerados++;
            }
            
            qtd = (TelaFundo.Porcent+0.1)*Math.random()*(this.MaxMonstro-this.monsGerados);
            Max = (TelaFundo.Porcent+0.1)*this.MaxMonstro;
            Tipo=Math.floor(Math.random()*3);
            
            for(var i = 0; i < Math.floor(qtd) && Max>this.VetMonstro.length; i++){
                if(Reg.level == 1){
                    this.VetMonstro.push(new Monstro(this.canvas, context, this.imgLocal[9+(3*Reg.level-1)-Tipo],8,12,
                                        this.canvas.width*1.1+15*i*this.multiply, this.canvas.height*0.52, Reg.level));
                }else{
                    this.VetMonstro.push(new Monstro(this.canvas, context, this.imgLocal[9+(3*Reg.level-1)-Tipo],8,12,
                                        this.canvas.width*1.1+15*i*this.multiply, this.canvas.height*0.55, Reg.level));
                }
                this.monsGerados++;
            }
            
            qtd = (TelaFundo.Porcent+0.1)*Math.random()*(this.MaxPiriguete-this.pirigGerados);
            Max = (TelaFundo.Porcent+0.1)*this.MaxPiriguete;
            Tipo=Math.floor(Math.random()*3);
            
            for(var i = 0; i < Math.floor(qtd) && Max>this.VetPiriguete.length; i++){
                this.VetPiriguete.push(new Piriguete(this.canvas, context, this.imgLocal[18+(3*Reg.level-1)-Tipo],6,12,
                                    this.canvas.width*1.1+15*i*this.multiply, this.canvas.height*0.55, Reg.level));
                this.pirigGerados++;
            }
            
            qtd = (TelaFundo.Porcent+0.1)*Math.random()*(this.MaxEspecial-this.espGerados);
            Max = (TelaFundo.Porcent+0.1)*this.MaxEspecial;
            Tipo=Math.floor(Math.random()*3);
            
            if(Reg.level == 2){
                for(var i = 0; i < Math.floor(qtd) && Max>this.VetEspecial.length; i++){
                    this.VetEspecial.push(new Esquerdopata(this.canvas, context, this.imgLocal[30+Tipo],6,12,
                                        this.canvas.width*1.1+15*i*this.multiply, this.canvas.height*0.55));
                    this.espGerados++;
                }
            }else if(Reg.level == 3){
                for(var i = 0; i < Math.floor(qtd) && Max>this.VetEspecial.length; i++){
                    this.VetEspecial.push(new Polica(this.canvas, context, this.imgLocal[33+Tipo],6,12,
                                        this.canvas.width*1.1+15*i*this.multiply, this.canvas.height*0.55));
                    this.espGerados++;
                }
            }else{
                for(var i = 0; i < Math.floor(qtd) && Max>this.VetEspecial.length; i++){
                    this.VetEspecial.push(new Ladrao(this.canvas, context, this.imgLocal[27+Tipo],5,7,
                                        this.canvas.width*1.1+15*i*this.multiply, this.canvas.height*0.55));
                    this.espGerados++;
                }
            }
        },
        
        ExecutaAcao: function (){
            for(var i in this.VetMonstro){
                this.VetMonstro[i].Atualizar();
            }
            for(var i in this.VetSubZero){
                this.VetSubZero[i].Atualizar();
            }
            for(var i in this.VetPiriguete){
                this.VetPiriguete[i].Atualizar();
            }
            for(var i in this.VetEspecial){
                this.VetEspecial[i].Atualizar();
            }
        },
        
        ExecutaAnimacao: function(){
            for(var i in this.VetMonstro){
                this.VetMonstro[i].Pinta();
            }
            for(var i in this.VetSubZero){
                this.VetSubZero[i].Pinta();
            }
            for(var i in this.VetPiriguete){
                this.VetPiriguete[i].Pinta();
            }
            for(var i in this.VetEspecial){
                this.VetEspecial[i].Pinta();
            }
        },
        
        RemoveMorto: function (){
            var agora =  new Date().getTime();
            for(var i in this.VetSubZero){
                if((agora - this.VetSubZero[i].hrMorte > 3000 && this.VetSubZero[i].Death && this.VetSubZero[i].hrMorte != 0) || 
                    this.VetSubZero[i].nvX+this.VetSubZero[i].lnmap*1.05 < -10*this.multiply){
                    this.subGerados--;
                    this.VetSubZero.splice(i,1);
                }
            }
            
            for(var i in this.VetMonstro){
                if((agora - this.VetMonstro[i].hrMorte > 3000 && this.VetMonstro[i].Death && this.VetMonstro[i].hrMorte != 0) || 
                    this.VetMonstro[i].nvX+this.VetMonstro[i].lnmap*1.05 < -10*this.multiply){
                    this.monsGerados--;
                    this.VetMonstro.splice(i,1);
                }
            }
            
            for(var i in this.VetPiriguete){
                if((agora - this.VetPiriguete[i].hrMorte > 3000 && this.VetPiriguete[i].Death && this.VetPiriguete[i].hrMorte != 0) || 
                    this.VetPiriguete[i].nvX+this.VetPiriguete[i].lnmap*1.05 < -10*this.multiply){
                    this.pirigGerados--;
                    this.VetPiriguete.splice(i,1);
                }
            }
            
            for(var i in this.VetEspecial){
                if((agora - this.VetEspecial[i].hrMorte > 3000 && this.VetEspecial[i].Death && this.VetEspecial[i].hrMorte != 0) || 
                    this.VetEspecial[i].nvX+this.VetEspecial[i].lnmap*1.05 < -10*this.multiply){
                    this.espGerados--;
                    this.VetEspecial.splice(i,1);
                }
            }
        },
        
        KillAll: function (){
            for(var i in this.VetMonstro){
                if(!this.VetMonstro[i].Death)
                    this.VetMonstro[i].MataPersonagem();
            }
            for(var i in this.VetSubZero){
                if(!this.VetSubZero[i].Death)
                    this.VetSubZero[i].MataPersonagem();
            }
            for(var i in this.VetPiriguete){
                if(!this.VetPiriguete[i].Death)
                    this.VetPiriguete[i].MataPersonagem();
            }
            for(var i in this.VetEspecial){
                if(!this.VetEspecial[i].Death)
                    this.VetEspecial[i].MataPersonagem();
            }
            
            TheEnd.Terminou();
        }
    };


