    function Esquerdopata(canvas, context, Map, linhas, colunas, x, y){
        Sprite.call(this, canvas, context, Map, linhas, colunas);
        this.tmW= this.canvas.width/480;
        this.nvX =  x;
        this.nvY = y;
        this.intervalo = 70;
        this.xLanca = x;
        this.yLanca = y;
        this.altmax;
        this.distancia = 175*this.tmW;
        this.Retan = [];
        this.Dano  = 1*Reg.level;
        this.Health = 60*Reg.level;
        this.FullHealth = 60*Reg.level;
        this.Money = 30*Reg.level;
        this.Death = false;
        this.Bateu = false;
        this.Projeta = [];
        this.Delay =  new Date().getTime();
        this.hrMorte = 0;
        this.SdFl = Sons.Bla;
        this.SdM = Sons.Morte[parseInt(Math.random()*3)];
    }
    
    Esquerdopata.prototype = Object.create(Sprite.prototype);
    Esquerdopata.prototype.constructor = Esquerdopata;
    Esquerdopata.prototype.Atualizar = function (){
        if(!Ultimate.ExecutaEspace){
            this.Retan = this.RectColid();
            this.VerificaEstado();
            this.ExecutaDiscurso();
            
            if(!this.Death){
                this.AcertaHeroi();
                this.ColidPedra();
            }
            
            this.ExcluiDiscurso();
            this.NovoQuadro();
        }else{
            this.ExecutaDiscurso();
            if(!this.Death)
                this.TomaEspecial();
        }
        
    };
    
    Esquerdopata.prototype.VerificaMov = function(){
        if(FckHeroi.Death && this.linha != 5){
            this.linha = 5;
            this.coluna = 1;
            this.FimSprite = 7;
        }
            
        if(this.nvX + this.colmap*1.2 > this.canvas.width && this.linha==1){
            this.nvX -= Velocidade*4;
        }else if(this.nvX + this.colmap*1.2 < this.canvas.width && this.linha==1){
            this.linha = 3;
            this.coluna = 1;
            this.FimSprite =4;
        }else if(this.nvX -(FckHeroi.Sptplay.nvX+FckHeroi.Sptplay.colmap) < this.distancia && this.linha==3){
            this.linha = 2;
            this.coluna = 1;
            this.FimSprite =12;
        }else if(this.nvX + this.colmap*1.2 < this.canvas.width && this.linha==2){
            this.nvX += Velocidade*4;
        }else if(this.linha==2){
            this.linha = 3;
            this.coluna = 1;
            this.FimSprite =4;
        }else
            this.nvX -= Velocidade;
    };
        
    Esquerdopata.prototype.RectColid = function(){
        return[{x: this.nvX + 0.55*this.colmap,
                y: this.nvY + 0.75*this.lnmap,
                largura: 0.35*this.colmap,
                altura: 0.25*this.lnmap,
                colid: 0
            },
            {x: this.nvX + 0.55*this.colmap,
                y: this.nvY + 0.25*this.lnmap,
                largura: 0.35*this.colmap,
                altura: 0.5*this.lnmap,
                colid: 0
            },
            {x: this.nvX + 0.62*this.colmap,
                y: this.nvY + 0.052*this.lnmap,
                largura: 0.2*this.colmap,
                altura: 0.2*this.lnmap,
                colid: 0
            }];
    };
        
    Esquerdopata.prototype.Pinta = function(){
        this.Desenhar();
        
        for(var i in this.Projeta){
            this.Projeta[i].Pinta();
        }
        if(!this.Death){
            this.context.fillStyle = "black";
            this.context.fillRect(this.nvX+40*this.multiplyH, this.nvY-5*this.multiplyH,
                                    this.colmap-50*this.multiplyH, 2*this.multiplyH);
            this.context.fillStyle = "red";
            this.context.fillRect(this.nvX+40*this.multiplyH, this.nvY-5*this.multiplyH,
                                    (this.colmap-50*this.multiplyH)*this.Health/this.FullHealth, 3*this.multiplyH);
        }
        
        //this.context.strokeStyle = "blue";
        //this.context.strokeRect(this.Retan[0].x, this.Retan[0].y, this.Retan[0].largura, this.Retan[0].altura);
        //this.context.strokeRect(this.Retan[1].x, this.Retan[1].y, this.Retan[1].largura, this.Retan[1].altura);
        //this.context.strokeStyle = "green";
        //this.context.strokeRect(this.Retan[2].x, this.Retan[2].y, this.Retan[2].largura, this.Retan[2].altura);
    };
    
    Esquerdopata.prototype.ColidPedra = function (){
        for(var i in FckHeroi.Tiro){
            if(!FckHeroi.Tiro[i].Colediu){
                for (var j in this.Retan){
                    if(!this.Death){
                        if(Colisao(FckHeroi.Tiro[i].Retan[0], this.Retan[j])){
                            this.Health -= FckHeroi.Tiro[i].Dano;
                            FckHeroi.Tiro[i].ProjetilColidiu();
                            if(this.Health <= 0){
                                this.SdM.play();
                                this.Death = true;
                                HrState.SomaPontos(this.Money);
                                this.linha=6;
                                this.coluna=1;
                                this.AnimaSprite = true;
                                this.FimSprite = 4;
                            }
                            break;
                        }
                    }
                }
            }
        }
    };
    
    Esquerdopata.prototype.ColidHeroi = function (){
        this.Delay = new Date().getTime();
        if(!this.Bateu){
            for(var i in FckHeroi.Retan){
                for (var j in this.Retan){
                    if(!this.Bateu){
                        if(Colisao(this.Retan[j], FckHeroi.Retan[i])){
                            this.Bateu = true; 
                            FckHeroi.OnDemage(this.Dano);
                            break;
                        }
                    }
                }
            }
        }
    };
    
    Esquerdopata.prototype.VerificaEstado = function (){
        var agora = new Date().getTime();
        switch (this.linha){
            case 1:
                this.VerificaMov();
                if(this.Death){
                    this.linha = 6;
                    this.coluna = 1;
                }
            break;
            case 2:
                this.VerificaMov();
                if(this.Death){
                    this.linha =6;
                    this.coluna = 1;
                }
            break;
            case 3:
                this.VerificaMov();
                if(this.nvX-FckHeroi.Sptplay.nvX > this.distancia && agora-this.Delay > 1600){
                    this.linha = 4;
                    this.coluna = 1;
                    this.FimSprite = 6;
                }
                if(this.Death){
                    this.linha =6;
                    this.coluna = 1;
                }
            break;
            case 4:
                this.VerificaMov();
                if(this.coluna == 3){
                    this.Discurso();
                    this.coluna = 4;
                }
                if(this.coluna==6){
                    this.linha = 3;
                    this.coluna = 1;
                    this.FimSprite = 4;
                }
                if(this.Death){
                    this.linha =6;
                    this.coluna = 1;
                }
            break;
            case 5:
                this.VerificaMov();
            break;
            case 6:
                this.VerificaMov();
                if(this.coluna == 4)
                    this.AnimaSprite = false;
                if(this.coluna == 4 && this.hrMorte == 0)
                    this.hrMorte = new Date().getTime();
            break;
        }
    };
    
    Esquerdopata.prototype.Discurso = function (){
            this.Delay = new Date().getTime();
            this.altmax=this.canvas.height*0.62;
            this.TmpPulo = new Date().getTime();
            this.SdFl.play();
            this.Projeta.push(new ZigZag(this.canvas, this.context, "img/inimigo/especial/blablabla.png",
                                    2,4,this.nvX+this.colmap/2,
                                    this.nvY, this.altmax, this.FullHealth));
    };
    
    Esquerdopata.prototype.ExecutaDiscurso = function (){
        for(var i in this.Projeta){

            if(!this.Projeta[i].Colediu){
                this.Projeta[i].Direcao = false;
                this.Projeta[i].Heroi = false;
            }else{
                this.Projeta[i].Direcao = true;
                this.Projeta[i].Heroi = false;
            }
            this.Projeta[i].Atualizar();
        }
    };
    
    Esquerdopata.prototype.ExcluiDiscurso = function (){
        for(var i in this.Projeta){
            if(this.Projeta[i].nvX + this.Projeta[i].colmap + 10*this.tmW < 0 ||
                (this.Projeta[i].linha == 2 && this.Projeta[i].coluna == 4) ||
                (this.Projeta[i].Colediu && this.Projeta[i].linha!=2)){
                this.Projeta.splice(i,1);
            }
        }
    };
    
    Esquerdopata.prototype.AcertaHeroi = function (){
        for (var j in FckHeroi.Retan){
            for(var i in this.Projeta){
                if(!this.Projeta[i].Colediu && !FckHeroi.Death){
                    if(Colisao(this.Projeta[i].Retan[0], FckHeroi.Retan[j])){
                        FckHeroi.OnDemage(2);
                        this.Projeta[i].ProjetilColidiu();
                        break;
                    }
                }
            }
        }
    };
    
    Esquerdopata.prototype.TomaEspecial = function (){
        if(Ultimate.Vida > 0){
            if(this.Health > Ultimate.Vida){
                this.Health -= Ultimate.Vida;
                Ultimate.Vida = 0;
            }else{
                Ultimate.Vida -= this.Health;
                this.Health = 0;
                this.Death = true;
                HrState.SomaPontos(this.Money);
            }
        }
    };
    
    Esquerdopata.prototype.MataPersonagem = function (){
        this.Health = 0;
        this.Death = true;
        HrState.SomaPontos(this.Money);
        this.linha=6;
        this.coluna=1;
        this.AnimaSprite =true;
        this.FimSprite = 4;
    };