    function Filme(canvas, context){
        this.start = false;
        this.end = false;
        this.canvas = canvas;
        this.context = context;
        this.movp= false;
        this.multiplyH = this.canvas.height/320; 
        this.multiplyW = this.canvas.width/480;
        this.Redm = false;
        this.fundo = new Image();
        this.fundo.src = "img/final/fimfundo.png";
        this.Cast = new Image();
        this.Cast.src = "img/final/credit.png";
        this.vH=this.canvas.width*0.001;
        this.vP=this.canvas.width*0.0025;
        this.SptHeroi =  new Sprite(this.canvas, this.context, "img/final/heroifim.png", 9,12);
        this.SptHeroi.nvX = this.canvas.width*(-0.2);
        this.SptHeroi.nvY = this.canvas.height*0.55;
        this.SptHonesto = new Sprite(this.canvas, this.context,"img/final/polionesto.png", 2,12);
        this.SptHonesto.linha =2;
        this.SptHonesto.nvX = this.canvas.width*(-0.2);
        this.SptHonesto.nvY = this.canvas.height*0.55;
        this.SptCarteira = new Sprite(this.canvas, this.context,"img/final/carteira.png", 1,4);
        this.SptFim =  new Sprite(this.canvas, this.context, "img/final/theend.png", 1,2);
        this.vezes = -1;
        this.theend=false;
        this.credit = false;
        this.PerCast = 0;
        this.Porcent = 0;
        this.Total =0;
        this.btnSkp =  new Sprite(this.canvas, this.context,"img/final/btnSkp.png",1,1);
        this.btnSkp.nvX = this.canvas.width*0.005;
        this.btnSkp.nvY = this.canvas.height*0.005;
    }
    
    Filme.prototype = {
       Atualizar: function (){
            if(!this.Redm){
                this.ReSize();
            }
           
            if(!this.theend){
                this.Movimento();
                this.SptHonesto.NovoQuadro();
                this.SptHeroi.NovoQuadro();

                if(this.movp && (this.SptCarteira.nvY+this.SptCarteira.lnmap) < Ground)
                    this.SptCarteira.NovoQuadro();
            }else{
                this.Finaliza();
            }
       },
       
       Desenhar: function(){
            if(!this.theend){
                this.context.drawImage(this.fundo,0,0,this.fundo.width, this.fundo.height);
                this.SptHonesto.Desenhar();
                this.SptHeroi.Desenhar();

                if(this.movp)
                    this.SptCarteira.Desenhar();
            }else{
                this.context.fillStyle = "#333333";
                this.context.fillRect(0,0,this.canvas.width,this.canvas.height);
                this.SptFim.nvX = this.canvas.width/2-this.SptFim.colmap/2;
                this.SptFim.nvY = this.canvas.height/2-this.SptFim.lnmap/2;
                this.SptFim.Desenhar();
                if(this.credit){
                    this.context.drawImage(this.Cast, 0, 0-this.PerCast*this.Porcent, this.Cast.width, this.Cast.height);
                }
            }
            
            this.btnSkp.Desenhar();
       },
       
       ReSize: function (){
           if(this.fundo.height > 0 && this.fundo.width > 0 &&
                   this.Cast.height > 0 && this.Cast.width > 0){
               this.fundo.height =  this.fundo.height*this.multiplyH;
               this.fundo.width =  this.fundo.width*this.multiplyW;
               this.Cast.height =  this.Cast.height*this.multiplyW;
               this.Cast.width =  this.Cast.width*this.multiplyW;
               this.PerCast = this.Cast.height-this.canvas.height;
               this.Redm=true;
           }
       },
       
       Movimento: function(){
           if(this.SptHonesto.nvX < this.canvas.width*1.005)
                this.SptHonesto.nvX+=this.vP;
           if(this.SptHonesto.nvX >= this.canvas.width*0.6 && !this.movp){
               this.SptCarteira.nvX = this.SptHonesto.nvX+this.SptHonesto.colmap/2;
               this.SptCarteira.nvY = this.SptHonesto.nvY+this.SptHonesto.lnmap/2;
               this.SptHonesto.linha = 1;
               this.movp= true;
           }
               
           if(this.movp && (this.SptCarteira.nvY+this.SptCarteira.lnmap) < Ground){
               this.SptCarteira.nvY += this.multiplyH;
           }else if(this.SptHeroi.linha ==1 && (this.SptCarteira.nvY+this.SptCarteira.lnmap) >= Ground){
               Sons.FimIni.stop();
               Sons.DropCart.play();
               this.vH = 4*this.multiplyH;
               this.SptHeroi.FimSprite = 6;
               this.SptHeroi.linha = 2;
               Sons.Susp.play();
           }
           
           if(this.movp && this.SptCarteira.nvX < this.SptHeroi.nvX+this.SptHeroi.colmap/2
                   && this.SptHeroi.linha ==2){
               this.SptHeroi.nvX = this.SptCarteira.nvX-this.SptHeroi.colmap/2;
               this.vH = 0;
               this.SptHeroi.linha = 3;
               this.SptHeroi.coluna = 1;
               this.SptHeroi.FimSprite = 4;
           }
           
           if(this.SptHeroi.linha == 6)
               this.movp = false;
           
           this.EstHeroi(this.SptHeroi.linha);
           this.SptHeroi.nvX+=this.vH;
       },
       
       EstHeroi: function (ln){
           switch(ln){
                case 1:
                    if(this.vezes == -1){
                        this.vezes++;
                        Sons.FimIni.play();
                    }
                    
                    break;
                case 3:
                   if(this.SptHeroi.coluna == this.SptHeroi.FimSprite){
                       this.SptHeroi.AnimaSprite =false;
                        if(this.vezes == 20){
                            this.SptHeroi.linha = 4;
                            this.SptHeroi.coluna = 1;
                            this.SptHeroi.FimSprite = 8;
                            this.vezes = 0;
                            this.SptHeroi.AnimaSprite =true;
                        }else
                            this.vezes++;
                   }
                   break;
                case 4:
                    if(this.SptHeroi.coluna == this.SptHeroi.FimSprite){
                       this.SptHeroi.AnimaSprite =false;
                        if(this.vezes == 30){
                            Sons.Hum.play();
                            this.SptHeroi.linha = 5;
                            this.SptHeroi.coluna = 1;
                            this.SptHeroi.FimSprite = 6;
                            this.vezes = 0;
                            this.SptHeroi.AnimaSprite =true;
                        }else
                            this.vezes++;
                    }
                    break;
                case 5:
                    if(this.SptHeroi.coluna == this.SptHeroi.FimSprite){
                       this.SptHeroi.AnimaSprite =false;
                        if(this.vezes == 30){
                            this.SptHeroi.linha = 6;
                            this.SptHeroi.coluna = 1;
                            this.SptHeroi.FimSprite = 6;
                            this.vezes = 0;
                            this.SptHeroi.AnimaSprite =true;
                        }else
                            this.vezes++;
                    }
                    break;
                case 6:
                    if(this.SptHeroi.coluna == this.SptHeroi.FimSprite){
                        this.SptHeroi.AnimaSprite =false;
                        if(this.vezes == 30){
                            this.SptHeroi.linha = 7;
                            this.SptHeroi.coluna = 1;
                            this.SptHeroi.FimSprite = 3;
                            this.vezes = 0;
                            this.SptHeroi.AnimaSprite =true;
                        }else
                            this.vezes++;
                    }
                    break;
                case 7:
                    if(this.SptHeroi.coluna == this.SptHeroi.FimSprite){
                       this.SptHeroi.AnimaSprite =false;
                        if(this.vezes == 30){
                            Sons.FimRisos.play();
                            this.SptHeroi.linha = 8;
                            this.SptHeroi.coluna = 1;
                            this.SptHeroi.FimSprite = 4;
                            this.vezes = 0;
                            this.SptHeroi.AnimaSprite =true;
                        }else
                            this.vezes++;
                    }
                    break;
                case 8:
                    if(this.SptHeroi.coluna == this.SptHeroi.FimSprite){
                       this.SptHeroi.AnimaSprite =false;
                        if(this.vezes == 30){
                            this.SptHeroi.linha = 9;
                            this.SptHeroi.coluna = 1;
                            this.SptHeroi.FimSprite = 3;
                            this.vezes = 0;
                            this.SptHeroi.AnimaSprite =true;
                        }else
                            this.vezes++;
                    }
                    break;
               case 9:
                    if(this.SptHeroi.coluna == this.SptHeroi.FimSprite){
                            this.SptHeroi.AnimaSprite =false;
                        if(this.vezes == 20){
                            this.theend=true;
                            this.vezes = 0;
                            Sons.FimSustoSom.play();
                        }else{
                            this.vezes++;
                        }
                    }
                    break;
           }
       },
       
       Finaliza: function (){
           if(this.vezes == 100){
               this.SptFim.coluna = 2;
               this.vezes++;
           }else if(this.vezes == 180){
               Sons.HueSong.play();
               this.credit = true;
               this.vezes++;
           }else if(this.vezes < 180)
               this.vezes++;
           
           if(this.Porcent >= 1){
                this.vezes++;
                if(this.vezes >= 300){
                    Sons.HueSong.stop();
                    location.href = "index.html";}
            }
           
           if(this.credit && this.Porcent < 1){
               this.Total += this.multiplyH*10;
               this.Porcent = this.Total/(14.4*(this.canvas.height/320)*60*10);
           }
       },
       
       Skipp: function(){
           Sons.FimIni.stop();
           Sons.HueSong.stop();
           Sons.FimSustoSom.stop();
           location.href = "index.html";
       }
    };
