
function GameLoop(Game, Img){
    this.Game = Game;
    this.atual = 0;
    this.intervalo = 1000/Game.FPS;
    this.ligado=false;
}

GameLoop.prototype={
    ligar: function (){
        this.ligado = true;
        this.ProximoFrame();
    },
    desligar: function(){
        this.ligado = false;
    },
    
    ProximoFrame: function (){
        var agora = new Date().getTime();
        
        if(!this.ligado)
            return;

        if(!this.atual)
            this.atual = agora;
        
        while(agora-this.atual < this.intervalo)
            agora = new Date().getTime();
        
        this.Game.Atualizar();
        this.Game.Desenhar();
        
        var Loop = this;

        this.atual = agora;
        
        window.requestAnimationFrame(function (){Loop.ProximoFrame();});
        
    }
};
