    function GameOver(canvas, context, Over){
        this.canvas = canvas;
        this.context = context;
        this.Over = Over;
        this.multiply = this.canvas.height/320;
        this.multiplyW = this.canvas.width/480;
        this.imgFundo = new Image();
        this.imgFundo.src = "img/outros/TranspFundo.png";
        this.SptOver = new Sprite(this.canvas, this.context, "img/outros/gameover.png", 1,4);
        this.imgShop = new Sprite(this.canvas, this.context,"img/outros/btnshop.png",1,2);
        this.imgShop.AnimaSprite = false;
        this.imgContinue = new Sprite(this.canvas, this.context,"img/outros/btncontinue.png",1,2);
        this.imgContinue.AnimaSprite = false;
        this.imgQuit = new Sprite(this.canvas, this.context,"img/outros/btnquit.png",1,2);
        this.imgQuit.AnimaSprite = false;
        this.Redimensiona = false;
    }

    GameOver.prototype = {
        Atualizar: function (){
            if(!this.Redimensiona)
                this.ReSize();
            this.SptOver.NovoQuadro();
            this.imgShop.NovoQuadro();
            this.imgContinue.NovoQuadro();
            this.imgQuit.NovoQuadro();
        },
        
        Desenhar: function (){
            this.context.drawImage(this.imgFundo,0,0, this.imgFundo.width, this.imgFundo.height);
            this.SptOver.Desenhar();
            this.imgShop.Desenhar();
            this.imgContinue.Desenhar();
            this.imgQuit.Desenhar();
        },
        
        ReSize: function (){
            if(this.SptOver.colmap !== 0 && this.imgFundo.width !== 0 && this.imgFundo.height !== 0 &&
                this.imgShop.colmap !==0 && this.imgContinue.colmap !== 0 ){
                this.imgFundo.height = this.imgFundo.height*this.multiply;
                this.imgFundo.width = this.imgFundo.width*this.multiplyW;
                this.SptOver.nvX = this.canvas.width/2 - this.SptOver.colmap/2;
                this.SptOver.nvY = this.canvas.height/2 - this.SptOver.lnmap;
                this.imgShop.nvX = this.canvas.width*0.05;
                this.imgShop.nvY = this.canvas.height*0.75-this.imgShop.lnmap;
                this.imgContinue.nvX = this.canvas.width/2 - this.imgContinue.colmap/2;
                this.imgContinue.nvY = this.canvas.height*0.75-this.imgContinue.lnmap;
                this.imgQuit.nvX = this.canvas.width*0.85 - this.imgQuit.colmap/2;
                this.imgQuit.nvY = this.canvas.height*0.75-this.imgQuit.lnmap;
                this.Redimensiona = true;
            }
        },
        
        Shop: function (){
            if(adMobConexao)
                window.plugins.AdMob.destroyBannerView();
            Sons.Roar.stop();
            Sons.RsOver.stop();
            Sons.btnClick.play();
            this.imgShop.coluna = 2;
            location.href = "shop.html";
        },
        
        Continue: function (){
            if(adMobConexao)
                window.plugins.AdMob.destroyBannerView();
            Sons.Roar.stop();
            Sons.RsOver.stop();
            Sons.btnClick.play();
            this.imgContinue.coluna = 2;
            location.href = "game.html";
        }, 
        
        Quit: function (){
            if(adMobConexao)
                window.plugins.AdMob.destroyBannerView();
            Sons.Roar.stop();
            Sons.RsOver.stop();
            Sons.btnClick.play();
            this.imgQuit.coluna = 2;
            navigator.app.exitApp();
        }
    };
