    function Heroi(canvas, context){
        this.canvas = canvas;
        this.context = context;
        this.Tiro = [];
        this.clickX = 0;
        this.clickY = 0;
        this.iniX = 0;
        this.iniY = 0;
        this.angulo = 0;
        this.Damage = 0;
        this.multiply = this.canvas.height/320;
        this.intervalo = 70;
        this.Delay = new Date().getTime();
        this.Retan = [];
        this.HitDano = 100;
        this.Arma = Reg.armaeq;
        this.Acertos = 3;
        this.Slow = false;
        this.hrextra = 1;
        this.tmSlow = new Date().getTime();
        this.ConfiguraHeroi();
    }

    Heroi.prototype = {
        Atualizar: function (){
            if(!Ultimate.ExecutaEspace){
                var agora = new Date().getTime();
                this.Retan =this.RectColid();
                this.AnguloTiro();
                this.SpriteControl();
                
                if(TheEnd.fim)
                    this.SptVitoria.NovoQuadro();
                else{
                    this.Sptplay.NovoQuadro();
                    this.SptTiro.NovoQuadro();
                    this.SptFace.NovoQuadro();
                    this.SptGolpe.NovoQuadro();
                }
                this.EstadoProjetil();
                if(!this.Death)
                    this.OnDeath();

                this.ExcluiProjetil();

                if(this.Slow){
                    if(agora-this.tmSlow > 5000)
                        this.FimStun();
                }
            }
        }, 
        
        Desenhar: function (){
            if(TheEnd.fim)
                this.SptVitoria.Desenhar();
            else{
                if(this.Sptplay.linha == 1)
                    this.SptFace.Desenhar();
                this.Sptplay.Desenhar();

                if(this.Arma != 0 && this.Sptplay.linha == 1){
                    this.SptArma.Desenhar();
                    this.SptTiro.Desenhar();
                }

                if(this.Arma != 0 && this.Sptplay.linha == 4 ||this.Sptplay.linha == 5)
                    this.SptGolpe.Desenhar();

                for(var i in this.Tiro){
                    this.Tiro[i].Pinta();
                }
            }
            
            //this.context.strokeStyle = "blue";
            //this.context.strokeRect(this.Retan[0].x, this.Retan[0].y, this.Retan[0].largura, this.Retan[0].altura);
            //this.context.strokeRect(this.Retan[1].x, this.Retan[1].y, this.Retan[1].largura, this.Retan[1].altura);
            //this.context.strokeRect(this.Retan[2].x, this.Retan[2].y, this.Retan[2].largura, this.Retan[2].altura);
            //this.context.strokeStyle = "black";
            //this.context.strokeRect(this.Retan[3].x, this.Retan[3].y, this.Retan[3].largura, this.Retan[3].altura);
        },
        
        Atira: function (posX, posY){
            if(this.Sptplay.linha != this.lnApanha && this.Sptplay.linha != this.lnMorre && !this.Death && !TheEnd.fim){
                if(this.Sptplay.agora - this.Delay > 1500*this.hrextra && this.Arma == 0){
                    this.Delay = new Date().getTime();
                    this.clickX = posX;
                    this.clickY = posY;
                    this.Sptplay.linha=2;
                    this.Sptplay.coluna=1;
                    this.Sptplay.FimSprite=5;
                    this.Damage = 10;
                }else if(this.Sptplay.agora - this.Delay > (1500-500*(Reg.pistolevel-1))*this.hrextra && this.Arma == 1){
                    this.Delay = new Date().getTime();
                    this.clickX = posX;
                    this.clickY = posY;
                    this.SptTiro.AnimaSprite = true;
                    this.Damage = 20 + 5*(Reg.pistolevel-1);
                }else if(this.Sptplay.agora - this.Delay > (1800-600*(Reg.shotgunlevel-1))*this.hrextra && this.Arma == 2){
                    this.Delay = new Date().getTime();
                    this.clickX = posX;
                    this.clickY = posY;
                    this.SptTiro.AnimaSprite = true;
                    this.Damage = 20 + 5*(Reg.shotgunlevel-1);
                }else if(this.Sptplay.agora - this.Delay > (1500-500*(Reg.smglevel-1))*this.hrextra && this.Arma == 3){
                    this.Delay = new Date().getTime();
                    this.clickX = posX;
                    this.clickY = posY;
                    this.SptTiro.AnimaSprite = true;
                    this.Damage = 20 + 5*(Reg.smglevel-1);
                }else if(this.Sptplay.agora - this.Delay > (1200-400*(Reg.minigunlevel-1))*this.hrextra && this.Arma == 4){
                    this.Delay = new Date().getTime();
                    this.clickX = posX;
                    this.clickY = posY;
                    this.SptTiro.AnimaSprite = true;
                    this.Damage = 20 + 5*(Reg.minigunlevel-1);
                }else if(this.Sptplay.agora - this.Delay > 100 && this.Arma == 5){
                    this.Delay = new Date().getTime();
                    this.clickX = posX;
                    this.clickY = posY;
                    this.SptTiro.AnimaSprite = true;
                    this.Damage = 40;
                }
            }
        },
        
        RectColid: function(){
            return[{x: this.Sptplay.nvX + 0.1*this.Sptplay.colmap,
                    y: this.Sptplay.nvY + 0.75*this.Sptplay.lnmap,
                    largura: 0.4*this.Sptplay.colmap,
                    altura: 0.25*this.Sptplay.lnmap,
                    colid: 0
                },
                {x: this.Sptplay.nvX + 0.15*this.Sptplay.colmap,
                    y: this.Sptplay.nvY + 0.29*this.Sptplay.lnmap,
                    largura: 0.3*this.Sptplay.colmap,
                    altura: 0.46*this.Sptplay.lnmap,
                    colid: 0
                },
                {x: this.Sptplay.nvX + 0.2*this.Sptplay.colmap,
                    y: this.Sptplay.nvY + 0.07*this.Sptplay.lnmap,
                    largura: 0.18*this.Sptplay.colmap,
                    altura: 0.18*this.Sptplay.lnmap,
                    colid: 0
                },
                {x: this.Sptplay.nvX + 0.45*this.Sptplay.colmap,
                    y: this.Sptplay.nvY + 0.13*this.Sptplay.lnmap,
                    largura: 0.3*this.Sptplay.colmap,
                    altura: 0.45*this.Sptplay.lnmap,
                    colid: 1
                }];
        },
        
        EstadoProjetil: function (){
            for(var i in this.Tiro){
                if(!this.Tiro[i].Colediu){
                    this.Tiro[i].Heroi = true;
                }else{
                    this.Tiro[i].Heroi = false;
                }
                
                if(this.Arma != 0)
                    this.Tiro[i].AnimaSprite = false;
                
                    this.Tiro[i].Atualizar();
            }
            
        },
        
        ExcluiProjetil: function (){
            for(var i in this.Tiro){
                if(this.Tiro[i].nvX > this.canvas.width || this.Tiro[i].nvX + this.Tiro[i].colmap < 0
                    || this.Tiro[i].nvY + this.Tiro[i].lnmap < -20*this.multiplyH)
                    this.Tiro.splice(i,1);
                else if(this.Arma != 0 && this.Tiro[i].coluna == 2)
                    this.Tiro.splice(i,1);
            }
        },
        
        OnDemage: function (Dano) {
            if(!this.Death){
                if(this.Escudo >= Dano){
                    this.Escudo -= Dano;
                }else{
                    Dano -= this.Escudo;
                    this.Escudo = 0;
                    this.Health -= Dano;
                    if(Reg.roupaeq != 4){
                        Sons.Roar.play();
                        this.Sptplay.linha = this.lnApanha;
                        this.Sptplay.coluna = 1;
                        
                        if(Reg.roupaeq >0)
                            this.Sptplay.FimSprite = 9-3*(Reg.roupaeq-1);
                        else
                            this.Sptplay.FimSprite = 9;
                        
                        HrState.Status.coluna = 2;
                    }
                }
            }
        },
        
        OnDeath: function (){
            if(this.Health <= 0){
                this.Death = true;
                this.Sptplay.linha = this.lnMorre;
                this.Sptplay.coluna = 1;
                Velocidade = 0;
                ParaLoop = true;
                Sons.RsOver.play();
                SFdLoop.stop();
                HrState.Status.coluna = 3;
            }
        },
        
        SpriteControl: function (){
            if(this.Arma == 0){
                switch(this.Sptplay.linha){
                    case 2:
                        if(this.Sptplay.coluna == 3){
                            this.Tiro.push(new Projetil(this.canvas, this.context, "img/outros/preda.png",
                                            2,4,this.iniX, this.iniY, this.clickY, this.clickX, 10));
                            this.Sptplay.coluna = 4;
                        }else if(this.Sptplay.coluna == 5){
                            this.Sptplay.linha = 1;
                            this.Sptplay.coluna = 6;
                            this.Sptplay.FimSprite = 12;
                        }
                    break;
                    case 3:
                        this.Sptplay.FimSprite = 4;
                        if(this.Sptplay.coluna == 4){
                            this.Sptplay.AnimaSprite = false;
                            Over.Over = true;
                            Reg.GravaPontos(HrState.Pontuacao);
                        }
                    break;
                    case 4:
                        if(this.Sptplay.coluna == this.Sptplay.FimSprite){
                            Sons.Roar.stop();
                            this.Sptplay.linha = 1;
                            this.Sptplay.coluna = 1;
                            this.Sptplay.FimSprite = 12;
                            HrState.Status.coluna = 1;
                        }
                    break;
                    case 5:
                        if(this.Sptplay.coluna==5){
                            this.Sptplay.linha=1;
                            this.Sptplay.coluna =2;
                            this.Sptplay.FimSprite = 12;
                            this.Acertos = 3;
                            this.SptGolpe.AnimaSprite = false;
                        }
                    break;
                }
            }else{
                switch(this.Sptplay.linha){
                    case 2:
                        this.Sptplay.FimSprite = 4;
                        if(this.Sptplay.coluna == 4){
                            this.Sptplay.AnimaSprite = false;
                            Over.Over = true;
                            Reg.GravaPontos(HrState.Pontuacao);
                        }
                    break;
                    case 3:
                        if(this.Sptplay.coluna == this.Sptplay.FimSprite){
                            Sons.Roar.stop();
                            this.Sptplay.linha = 1;
                            this.Sptplay.coluna = 1;
                            this.Sptplay.FimSprite = 12;
                            HrState.Status.coluna = 1;
                        }
                    break;
                    case 4:
                        if(this.Sptplay.coluna==5){
                            this.Sptplay.linha=1;
                            this.Sptplay.coluna =1;
                            this.Sptplay.FimSprite = 12;
                            this.Acertos = 3;
                            this.SptGolpe.AnimaSprite = false;
                        }
                    break;
                }
                
                
                if(!this.Death && !TheEnd.fim){
                    if(this.Arma == 1){
                        if(this.SptTiro.coluna == 3){
                            this.Tiro.push(new Balas(this.canvas, this.context, "img/outros/tiro.png", 1, 2,
                                                this.iniX+0.3*this.Sptplay.colmap*Math.cos(this.angulo),
                                                this.iniY + 0.3*this.Sptplay.lnmap*Math.sin(this.angulo),
                                                this.clickY, this.clickX, this.Damage, this.angulo));
                            //Sons.Pistol.play();
                            this.SptTiro.coluna = 4;
                        }
                    }else if(this.Arma == 2){
                        if(this.SptTiro.coluna == 3){
                            for(var i =0; i < 3; i++){
                                this.Tiro.push(new Balas(this.canvas, this.context, "img/outros/tiro.png", 1, 2,
                                                    this.iniX+0.3*this.Sptplay.colmap*Math.cos(this.angulo)+Math.abs((i-1)*15*this.multiply),
                                                    this.iniY + 0.3*this.Sptplay.lnmap*Math.sin(this.angulo)+(i-1)*10*this.multiply,
                                                    this.clickY, this.clickX, this.Damage, this.angulo));
                            }
                            //Sons.Shotgun.play();
                            this.SptTiro.coluna = 4;
                        } 
                    }else if(this.Arma == 3){
                        if(this.SptTiro.coluna == 3){
                            for(var i =0; i < 4; i++){
                                this.Tiro.push(new Balas(this.canvas, this.context, "img/outros/tiro.png", 1, 2,
                                                    this.iniX+0.3*this.Sptplay.colmap*Math.cos(this.angulo)+i*15*this.multiply*Math.cos(this.angulo),
                                                    this.iniY + 0.3*this.Sptplay.lnmap*Math.sin(this.angulo)+i*15*this.multiply*Math.sin(this.angulo),
                                                    this.clickY, this.clickX, this.Damage, this.angulo));
                            }
                            //Sons.AK.play();
                            this.SptTiro.coluna = 4;
                        } 
                    }else if(this.Arma == 4){
                        if(this.SptTiro.coluna == 3){
                            for(var i =0; i < 3; i++){
                                this.Tiro.push(new Balas(this.canvas, this.context, "img/outros/tiro.png", 1, 2,
                                                    this.iniX+0.3*this.Sptplay.colmap*Math.cos(this.angulo)+i*15*this.multiply*Math.cos(this.angulo),
                                                    this.iniY + 0.3*this.Sptplay.lnmap*Math.sin(this.angulo)+i*10*this.multiply*Math.sin(this.angulo)-5*this.multiply,
                                                    this.clickY, this.clickX, this.Damage, this.angulo));
                                this.Tiro.push(new Balas(this.canvas, this.context, "img/outros/tiro.png", 1, 2,
                                                    this.iniX+0.3*this.Sptplay.colmap*Math.cos(this.angulo)+i*15*this.multiply*Math.cos(this.angulo),
                                                    this.iniY + 0.3*this.Sptplay.lnmap*Math.sin(this.angulo)+i*10*this.multiply*Math.sin(this.angulo)+5*this.multiply,
                                                    this.clickY, this.clickX, this.Damage, this.angulo));
                            }
                            //Sons.Mini.play();
                            this.SptTiro.coluna = 4;
                        } 
                    }else if(this.Arma == 5){
                        if(Pressionado){
                            this.Tiro.push(new Balas(this.canvas, this.context, "img/outros/plasma.png", 1, 2,
                                                this.iniX+0.3*this.Sptplay.colmap*Math.cos(this.angulo)+5*this.multiply*Math.cos(this.angulo),
                                                this.iniY + 0.3*this.Sptplay.lnmap*Math.sin(this.angulo)+20*this.multiply*Math.sin(this.angulo)-5*this.multiply,
                                                this.clickY, this.clickX, this.Damage, this.angulo));
                            this.Tiro.push(new Balas(this.canvas, this.context, "img/outros/plasma.png", 1, 2,
                                                this.iniX+0.3*this.Sptplay.colmap*Math.cos(this.angulo)+5*this.multiply*Math.cos(this.angulo),
                                                this.iniY + 0.3*this.Sptplay.lnmap*Math.sin(this.angulo)+20*this.multiply*Math.sin(this.angulo)+5*this.multiply,
                                                this.clickY, this.clickX, this.Damage, this.angulo));
                            //Sons.Plasma.play();
                        } 
                    }
                }
                    
                if(this.SptTiro.coluna == 5){
                    this.SptTiro.coluna = 1;
                    this.SptTiro.AnimaSprite =  false;
                }
            }
            
            if(TheEnd.fim){
                switch(Reg.roupaeq){
                    case 1:
                            this.SptVitoria.AnimaSprite = true;
                        break;
                    case 2:
                        if(this.SptVitoria.coluna != 3)
                            this.SptVitoria.AnimaSprite = true;
                        else
                            this.SptVitoria.AnimaSprite =false;
                        break;
                        break;
                    case 3:
                        if(this.SptVitoria.coluna != 3)
                            this.SptVitoria.AnimaSprite = true;
                        else
                            this.SptVitoria.AnimaSprite =false;
                        break;
                    case 4:
                        if(this.SptVitoria.coluna != 6)
                            this.SptVitoria.AnimaSprite = true;
                        else
                            this.SptVitoria.AnimaSprite =false;
                        break;
                    default:
                        if(this.SptVitoria.coluna != 3)
                            this.SptVitoria.AnimaSprite = true;
                        else
                            this.SptVitoria.AnimaSprite =false;
                }
            }
            
        },
        
        Melee: function (){
            if(this.Sptplay.linha != this.lnApanha && this.Sptplay.linha != this.lnMorre){
                HrState.Porrada.coluna = 2;
                HrState.tmpPorrada = new Date().getTime();
                this.Sptplay.linha=this.lnBate;
                this.Sptplay.coluna=1;
                this.Sptplay.FimSprite=5;
                this.SptGolpe.AnimaSprite = true;
                this.SptGolpe.coluna = 1;
                
                if(Reg.meleeeq == 1)
                    Sons.Bastao.play();
                else if(Reg.meleeeq == 2)
                    Sons.Espada.play();
            }
        },
        
        AnguloTiro: function (){
            switch(this.Arma){
                case 0:
                    this.iniX = this.Sptplay.nvX+this.Sptplay.colmap/2;
                    this.iniY = this.Sptplay.nvY;
                break;
                case 1:
                    this.iniX = this.Sptplay.nvX+this.Sptplay.colmap*0.2;
                    this.iniY = this.Sptplay.nvY+this.Sptplay.lnmap*0.2;
                    this.angulo = Math.atan((this.iniY-this.clickY)/(this.iniX-this.clickX));
                    if(this.angulo > 0)
                        this.angulo = 0;
                    else if(this.angulo < -1.4)
                        this.angulo = -1.4;
                break;
                case 2:
                    this.iniX = this.Sptplay.nvX+this.Sptplay.colmap*0.2;
                    this.iniY = this.Sptplay.nvY+this.Sptplay.lnmap*0.2;
                    this.angulo = Math.atan((this.iniY-this.clickY)/(this.iniX-this.clickX));
                    if(this.angulo > 0)
                        this.angulo = 0;
                    else if(this.angulo < -1.4)
                        this.angulo = -1.4;
                break;
                case 3:
                    this.iniX = this.Sptplay.nvX+this.Sptplay.colmap*0.2;
                    this.iniY = this.Sptplay.nvY+this.Sptplay.lnmap*0.3;
                    this.angulo = Math.atan((this.iniY-this.clickY)/(this.iniX-this.clickX));
                    if(this.angulo > 0)
                        this.angulo = 0;
                    else if(this.angulo < -1.4)
                        this.angulo = -1.4;
                break;
                case 4:
                    this.iniX = this.Sptplay.nvX+this.Sptplay.colmap*0.2;
                    this.iniY = this.Sptplay.nvY+this.Sptplay.lnmap*0.5;
                    this.angulo = Math.atan((this.iniY-this.clickY)/(this.iniX-this.clickX));
                    if(this.angulo > 0)
                        this.angulo = 0;
                    else if(this.angulo < -1.4)
                        this.angulo = -1.4;
                break;
                case 5:
                    this.iniX = this.Sptplay.nvX+this.Sptplay.colmap*0.2;
                    this.iniY = this.Sptplay.nvY+this.Sptplay.lnmap*0.3;
                    this.angulo = Math.atan((this.iniY-this.clickY)/(this.iniX-this.clickX));
                    if(this.angulo > 0)
                        this.angulo = 0;
                    else if(this.angulo < -1.4)
                        this.angulo = -1.4;
                break;
            } 
            
            if(Pressionado){
                if((this.angulo*360)/(2*Math.PI) > -15){
                    this.SptArma.coluna = 1;
                }else if((this.angulo*360)/(2*Math.PI) > -30){
                    this.SptArma.coluna = 2;
                }else if((this.angulo*360)/(2*Math.PI) > -45){
                    this.SptArma.coluna = 3;
                }else if((this.angulo*360)/(2*Math.PI) > -60){
                    this.SptArma.coluna = 4;
                }else{
                    this.SptArma.coluna = 5;
                }
            }else{
                this.SptArma.coluna = 1;
            }
            
            this.SptTiro.linha = this.SptArma.coluna;
            
        },
        
        ConfiguraHeroi: function (){
            if(this.Arma == 0){
                this.Sptplay = new Sprite(this.canvas, this.context, "img/hero/normal"+Reg.roupaeq+".png",5,12);
                this.lnApanha=4;
                this.lnMorre =3;
                this.lnBate =5;
                this.SptTiro = new Sprite(this.canvas, this.context, "img/hero/disparo.png",1,6);
            }else{
                this.Sptplay = new Sprite(this.canvas, this.context, "img/hero/armado"+Reg.roupaeq+".png",4,12);
                this.lnApanha=3;
                this.lnMorre =2;
                this.lnBate =4;
                if(this.Arma > 4)
                    this.SptTiro = new Sprite(this.canvas, this.context, "img/hero/disparo.png",1,6);
                else
                    this.SptTiro = new Sprite(this.canvas, this.context, "img/hero/disparo"+Reg.armaeq+".png",5,5);
            }
            
            this.SptFace = new Sprite(this.canvas, this.context, "img/hero/faces.png",8,4);
            this.SptFace.nvX = this.canvas.width*0.05;
            this.SptFace.nvY = this.canvas.height*0.55;
            this.SptFace.linha = Reg.roupaeq+1;
        
            this.Sptplay.nvX = this.canvas.width*0.05;
            this.Sptplay.nvY = this.canvas.height*0.55;
            if(Reg.roupaeq > 3){
                this.SptArma = new Sprite(this.canvas, this.context, "img/hero/armas"+Reg.roupaeq+".png",1,5);
                this.SptArma.linha = 1;
            }else{
                this.SptArma = new Sprite(this.canvas, this.context, "img/hero/armas"+Reg.roupaeq+".png",4,5);
                this.SptArma.linha = this.Arma;
            }
            this.SptArma.nvX = this.canvas.width*0.05;
            this.SptArma.nvY = this.canvas.height*0.55;
            
            this.SptArma.AnimaSprite = false;
            this.SptTiro.nvX = this.canvas.width*0.05;
            this.SptTiro.nvY = this.canvas.height*0.55;
            this.SptTiro.FimSprite = 5;
            this.SptTiro.AnimaSprite = false;
            
            this.SptVitoria = new Sprite(this.canvas, this.context, "img/hero/vitoria.png",5,6);
            this.SptVitoria.nvX = this.canvas.width*0.05;
            this.SptVitoria.nvY = this.canvas.height*0.55;
            this.SptVitoria.FimSprite = 3;
            this.SptVitoria.AnimaSprite = false;
            
            this.SptGolpe = new Sprite(this.canvas, this.context, "img/hero/melee"+Reg.meleeeq+".png",1,5);
            this.SptGolpe.nvX = this.canvas.width*0.05;
            this.SptGolpe.nvY = this.canvas.height*0.55;
            this.SptGolpe.FimSprite = 5;
            this.SptGolpe.AnimaSprite = false;
            
            if(Reg.roupaeq == 1){
                this.Health = 8;
                this.Escudo = 5;
                this.SptVitoria.linha = 2;
                this.SptVitoria.FimSprite = 4;              
            }else if(Reg.roupaeq == 2){
                this.Health = 12;
                this.Escudo = 10;
                this.SptVitoria.linha = 3;
                this.SptVitoria.FimSprite = 3;   
            }else if(Reg.roupaeq == 3){
                this.Health = 18;
                this.Escudo = 15;
                this.SptVitoria.linha = 4;
                this.SptVitoria.FimSprite = 3;   
            }else if(Reg.roupaeq == 4){
                this.Health = 20;
                this.Escudo = 20;
                this.SptVitoria.linha = 5;
                this.SptVitoria.FimSprite = 6;   
            }else{
                this.Health = 5;
                this.Escudo = 0;
                this.SptVitoria.linha = 1;
                this.SptVitoria.FimSprite = 3;   
            }
        },
        
        Stunado: function (){
            this.Slow = true;
            this.tmSlow = new Date().getTime();
            this.SptArma.intervalo = this.intervalo*3;
            this.SptTiro.intervalo = this.intervalo*3;
            this.Sptplay.linha = 1;
            this.Sptplay.FimSprite = 12;
            this.Sptplay.intervalo = this.intervalo*3;
            this.hrextra = 2;
            TelaFundo.Slow =2;
            HrState.Status.coluna =1;
        },
        
        FimStun: function (){
            this.Slow = false;
            this.SptArma.intervalo = this.intervalo;
            this.SptTiro.intervalo = this.intervalo;
            this.Sptplay.intervalo = this.intervalo;
            this.hrextra = 1;
            FckHeroi.SptFace.linha = Reg.roupaeq+1;
            TelaFundo.Slow =1;
        }
        
    };