    function ZigZag(canvas, context, Map, linhas, colunas, x, y, Limit, Dano){
        Sprite.call(this, canvas, context, Map, linhas, colunas);
        this.nvX =  x;
        this.nvY = y;
        this.tmpRand = new Date().getTime();
        this.Limit = Limit;
        this.Retan = [];
        this.Colediu = false;
        this.Perde = Dano;
        this.Dano = 1*(Reg.level-1);
        this.Heroi = false;
        this.velocidade= 3*this.multiplyH;
        this.Direcao = true;
        this.pxY=0;
    }
    
    ZigZag.prototype = Object.create(Sprite.prototype);
    ZigZag.prototype.constructor = ZigZag;
    ZigZag.prototype.Atualizar = function (){
        if(!Ultimate.ExecutaEspace){
            this.Retan =  this.RectColid();

            if(this.linha!=2)
                this.MovPedra();
            else if(this.coluna == 4){
                this.AnimaSprite = false;
            }

            this.Retan =  this.RectColid();

            this.NovoQuadro();
            this.HitProjetil();
            this.Golpeado();
        }else{
            if(!this.Colediu && !this.Heroi){
                this.ProjetilColidiu();
                this.linha = 2;
                this.coluna = 1;
                this.AnimaSprite = true;
            }
        }
    
            
    };
        
    ZigZag.prototype.RectColid = function(){
        return[{x: this.nvX + 0.2*this.colmap,
                y: this.nvY + 0.2*this.lnmap,
                largura: 0.7*this.colmap,
                altura: 0.7*this.lnmap,
                colid: 2
            }];
    };
        
    ZigZag.prototype.Pinta = function(){
        this.Desenhar();
        //this.context.strokeStyle = "red";
        //this.context.strokeRect(this.Retan[0].x, this.Retan[0].y, this.Retan[0].largura, this.Retan[0].altura);
    };
        
    ZigZag.prototype.MovPedra = function(){
        var agora = new Date().getTime();
        if(agora - this.tmpRand > 250){
            this.pxY = this.velocidade-2*Math.random()*(this.velocidade);
            this.tmpRand = agora;
        }
        if(this.nvY+this.lnmap > this.Limit+50*this.multiplyH)
            this.pxY= -Math.abs(this.pxY);
        if(this.nvY < this.Limit-70*this.multiplyH)
            this.pxY= + Math.abs(this.pxY);
            
        this.nvY += this.pxY;
        this.nvX -= Math.sqrt(Math.pow(this.velocidade,2)-Math.pow(this.pxY,2));
    };
        
    ZigZag.prototype.ProjetilColidiu= function(){
        this.Colediu = true;
    };
        
    ZigZag.prototype.HitProjetil = function(){
        for(var i in FckHeroi.Tiro){
            if(!this.Colediu){
                if(Colisao(FckHeroi.Tiro[i].Retan[0], this.Retan[0])){
                    this.ProjetilColidiu();
                    this.linha = 2;
                    this.coluna = 1;
                    this.AnimaSprite = true;
                    FckHeroi.Tiro[i].ProjetilColidiu();
                }
            }
        }
        
    };
    
    ZigZag.prototype.Golpeado = function (){
        if(FckHeroi.Sptplay.linha == FckHeroi.lnBate){
            if(!this.Colediu){
                if(Colisao(FckHeroi.Retan[3], this.Retan[0]) && FckHeroi.Sptplay.coluna == 3 &&
                        FckHeroi.Acertos > 0){
                    FckHeroi.Acertos--;
                    this.ProjetilColidiu();
                    this.linha = 2;
                    this.coluna = 1;
                    this.AnimaSprite = true;
                }
            }
        }
    };
    

