    function Estado(canvas, context){
        this.canvas = canvas;
        this.context = context;
        this.multiply = this.canvas.height/320;
        this.imgAux = new Image();
        this.imgAux.src = "img/outros/vida.png";
        this.imgEscAux = new Image();
        this.imgEscAux.src = "img/outros/escudo.png";
        this.tmExibe = new Date().getTime();
        this.ExibePreju = false;
        this.Perdeu = 0;
        
        this.Escudo = [];
        this.Vida = [];
        
        this.Status = new Sprite(this.canvas, this.context, "img/outros/estado.png",1, 3);
        this.Status.nvX = this.canvas.width*0.01;
        this.Status.nvY = this.canvas.height*0.02;
        this.Status.AnimaSprite = false;
        
        if(Reg.meleeeq == 1){
            this.Porrada = new Sprite(this.canvas, this.context, "img/outros/bastao.png",1, 2);
            this.Porrada.nvX = this.canvas.width*0.01+10*this.multiply;
            this.Porrada.nvY = this.canvas.height*0.35+10*this.multiply;
            this.Porrada.AnimaSprite = false;
        }else{
            this.Porrada = new Sprite(this.canvas, this.context, "img/outros/espada.png",1, 2);
            this.Porrada.nvX = this.canvas.width*0.01+10*this.multiply;
            this.Porrada.nvY = this.canvas.height*0.35+10*this.multiply;
            this.Porrada.AnimaSprite = false;
        }
        
        if(Reg.especeq == 1){
            this.Especial = new Sprite(this.canvas, this.context, "img/outros/friendesp.png",3, 2);
            this.Especial.nvX = this.canvas.width*0.01+10*this.multiply;
            this.Especial.nvY = this.canvas.height*0.2+10*this.multiply;
            this.Especial.linha = 4-Reg.friendlevel;
            this.Especial.AnimaSprite = false;
        }else if(Reg.especeq == 2){
            this.Especial = new Sprite(this.canvas, this.context, "img/outros/deliciaesp.png",3, 2);
            this.Especial.nvX = this.canvas.width*0.01+10*this.multiply;
            this.Especial.nvY = this.canvas.height*0.2+10*this.multiply;
            this.Especial.linha = 4-Reg.delicialevel;
            this.Especial.AnimaSprite = false;
        }
        
        this.Goiaba = new Image();
        this.Goiaba.src = "img/outros/goiabanome.png";
        
        this.Redimensinado = false;
        this.Criada = false;
        this.Pontuacao = Reg.pontuacao;
        this.tmpPorrada = new Date().getTime();
    }
    
    Estado.prototype = {
        Atualizar: function (){
            var agora = new Date().getTime();
            
            if(!this.Redimensinado)
                this.ReSizeVida();
            else if(!this.Criada)
                this.CriaVida();
            
            if(this.Porrada.coluna == 2 && agora-this.tmpPorrada > 1000){
                this.Porrada.coluna = 1;
            }
            
            if(this.ExibePreju){
                if(agora-this.tmExibe > 1000)
                    this.ExibePreju = false;
            }
            
            this.Status.NovoQuadro();
        },
        
        Desenhar: function (){
            
            this.Status.Desenhar();
            if(this.Criada){
                this.DesenhaVida();
                this.DesenhaEscudo();
            }
            this.context.strokeStyle = "black";
            this.context.fillStyle = "#699929";
            this.context.font = "bold "+20*this.multiply+"px cursive";
            this.context.fillText(this.Pontuacao, this.canvas.width*0.6+5*this.multiply + this.Goiaba.width,
                                     this.Status.nvY + 15*this.multiply);
            this.context.strokeText(this.Pontuacao, this.canvas.width*0.6+5*this.multiply + this.Goiaba.width,
                                     this.Status.nvY + 15*this.multiply);
            this.context.drawImage(this.Goiaba,
                                    this.canvas.width*0.6, this.Status.nvY,
                                    this.Goiaba.width, this.Goiaba.height);
                                    
            if(Reg.meleeeq != 0)
                this.Porrada.Desenhar();
            if(Reg.especeq != 0)
                this.Especial.Desenhar();
            
            if(this.ExibePreju){
                this.context.strokeStyle = "black";
                this.context.fillStyle = "#F80E01";
                this.context.font = "bold "+15*this.multiply+"px cursive";
                this.context.fillText("-"+this.Perdeu, this.canvas.width*0.6+5*this.multiply + this.Goiaba.width,
                                         this.Status.nvY + 28*this.multiply);
                this.context.strokeText("-"+this.Perdeu, this.canvas.width*0.6+5*this.multiply + this.Goiaba.width,
                                         this.Status.nvY + 28*this.multiply);
            }
                
                
        },
        
        CriaVida: function (){
            for(var i=0; i < 30; i++){
                this.Vida.push(this.imgAux);
            }
            
            for(var j=0; j < 30; j++){
                this.Escudo.push(this.imgEscAux);
            }
            this.Criada = true;
        },
        
        DesenhaVida: function (){
            var j =0;
            for(var i=0; i < FckHeroi.Health && i < 30; i++ ){
                if(i== 10 || i==20)
                    j++;
                this.context.drawImage(this.Vida[i],
                                        this.Status.nvX + this.Status.colmap+this.Vida[i].width*(i-10*j),
                                        this.Status.nvY+this.Vida[i].height*j,
                                        this.Vida[i].width, this.Vida[i].height);
            }
        },
        
        DesenhaEscudo: function (){
            var j =0;
            for(var i=0; i < FckHeroi.Escudo && i<30; i++ ){
                if(i== 10 || i==20)
                    j++;
                this.context.drawImage(this.Escudo[i],
                                        this.Status.nvX + this.Status.colmap+this.Escudo[i].width*(i-10*j),
                                        this.Status.nvY+this.Escudo[i].height*j,
                                        this.Escudo[i].width, this.Escudo[i].height);
            }
        },
        
        ReSizeVida: function (){
            if(this.imgAux.height!= 0 && this.imgAux.width != 0 &&
               this.imgEscAux.height!= 0 && this.imgEscAux.width != 0 &&
               this.Goiaba.height != 0 && this.Goiaba.width != 0&&
               this.Porrada.height != 0 && this.Porrada.width != 0){
                
                this.imgAux.height = this.imgAux.height*this.multiply;
                this.imgAux.width = this.imgAux.width*this.multiply;
                
                this.imgEscAux.height = this.imgEscAux.height*this.multiply;
                this.imgEscAux.width = this.imgEscAux.width*this.multiply;
                
                
                this.Goiaba.height = this.Goiaba.height*this.multiply;
                this.Goiaba.width = this.Goiaba.width*this.multiply;
                this.Redimensinado = true;
            }
        },
        
        PorradaClick: function (){
            if(this.Porrada.coluna == 1){
                FckHeroi.Melee();
            }
        },
        
        EspecialClick: function (){
            if(this.Especial.coluna ==1){
                if(this.Especial.coluna < 2){
                    Ultimate.IniciaEspac();
                }
            }
        },
        
        PegaGoiaba: function (G){
            this.tmExibe = new Date().getTime();
            
            if(this.Pontuacao-G > 0)
                this.Pontuacao -= G;
            else
                this.Pontuacao = 0;
            
            this.Perdeu = G;
            this.ExibePreju = true;
        },
        
        SomaPontos: function (pontos){
            if(this.Pontuacao > 99999999)
                this.Pontuacao = 99999999;
            else
                this.Pontuacao += pontos;
        }
                
    };


