    var canvas;
    var context;
    var FckHeroi;
    var RendFundo;
    var Inimigo = [];
    var Ground;
    var Velocidade;
    var HrState, Hrpaused, adcreate;
    var Pressionado;
    var hrz, vert;
    var ctd = 0;
    var CriaTudo;
    var Reg;
    var Ultimate;
    var Over;
    var Iniciar;
    var TheEnd;
    var Cinem;
    var Sons, SFdLoop;
    var Resumed, Paused, ParaLoop;
    
    function GameView(cv){
        canvas = cv;
        canvas.style.position = "absolute";
        canvas.style.top = 0;
        canvas.style.left = 0;
        context = canvas.getContext('2d');
        this.TimeInicio = new Date().getTime();

        canvas.width = $(window).width();
        canvas.height = $(window).height();
        Velocidade = 0.001*canvas.width;
        ParaLoop = false;
        this.FPS =  30;
        canvas.addEventListener("click",this.onClick,true);
        $(document).on("vmousedown","#GameCanvas",this.onDown);
        $(document).on("vmouseup","#GameCanvas",this.onUp);
        $(document).on("vmousemove","#GameCanvas",this.onDown);
        //$(document).on("vmouseout","#GameCanvas",this.onUp);
        document.addEventListener("deviceready", this.onDeviceReady, false);
        document.addEventListener("pause", this.onDevicePause, false);
        document.addEventListener("resume", this.onDeviceResume, false);
        adcreate = false;
        Reg = new Registro(canvas,context);
        //Reg.level = 1;
        Resumed = false;
        Paused = false;
        this.Animacao = new GameLoop(this);
    }
    
    GameView.prototype = {
        Carregar: function(){
            Ground = canvas.height*0.87;
            FckHeroi = new Heroi(canvas, context);
            CriaTudo = new Criador(canvas, context);
            TheEnd = new FimTela(canvas, context);
            if(Reg.level == 1){
                TelaFundo = new Fundo(canvas, context, "img/fundo/rioFundo.png", "img/fundo/piso1.png");
                Iniciar = new Inicio(canvas, context, "img/outros/zueira.png");
            }else if(Reg.level == 2){
                TelaFundo = new Fundo(canvas, context, "img/fundo/shopFundo.png", "img/fundo/piso2.png");
                Iniciar = new Inicio(canvas, context, "img/outros/rolezinho.png");
            }else if(Reg.level == 3){
                TelaFundo = new Fundo(canvas, context, "img/fundo/3podFundo.png", "img/fundo/piso3.png");
                Iniciar = new Inicio(canvas, context, "img/outros/corrup.png");
            }
            Ultimate = new Especial(canvas,context);
            
            Over = new GameOver(canvas, context, false);
            Cinem = new Filme(canvas, context);
            
            HrState = new Estado(canvas, context);
            batida = false;
            
            this.Animacao.ligar();
        },
        
        Atualizar: function (){
            
            if(Cinem.start)
                Cinem.Atualizar();
            else{    
                if(Pressionado && !Over.Over)
                    this.onPress();
                
                    TelaFundo.Atualizar();
                if(!Iniciar.iniciado)
                    Iniciar.Atualizar();
                else{
                    TelaFundo.MovTela(this.TimeInicio);
                    CriaTudo.Atualizar();
                }

                FckHeroi.Atualizar();
                HrState.Atualizar();

                if(Ultimate.ExecutaEspace)
                    Ultimate.Atualizar();

                if(Over.Over){
                    if(!adcreate){
                        onDocLoad();
                        adcreate = true;
                    }
                    Over.Atualizar();
                }

                if(TheEnd.fim)
                    TheEnd.Atualizar();
            }
        },
        
        Desenhar: function (){
            if(Cinem.start){
                Cinem.Desenhar();
            }else{
                if(Ultimate.ExecutaEspace)
                    context.fillStyle = "black";
                else
                    context.fillStyle = "#C6FAFD";

                context.fillRect(0,0,canvas.width,canvas.height);
                //context.clearRect(0,0,canvas.width,canvas.height);
                TelaFundo.Desenhar(Velocidade);
                CriaTudo.Desenhar();
                FckHeroi.Desenhar();

                if(Ultimate.ExecutaEspace)
                    Ultimate.Desenhar();
                HrState.Desenhar();
                if(Over.Over)
                    Over.Desenhar();

                if(!Iniciar.iniciado)
                    Iniciar.Desenhar();

                if(TheEnd.fim)
                    TheEnd.Desenhar();
            }
        },
        
        onPress: function (){
            if(!FckHeroi.Death && Iniciar.iniciado && !TheEnd.fim){
                if(Reg.meleeeq != 0 && hrz >= HrState.Porrada.nvX && hrz <= HrState.Porrada.nvX + HrState.Porrada.colmap && 
                    vert >= HrState.Porrada.nvY && vert <= HrState.Porrada.nvY + HrState.Porrada.lnmap){
                    if(!Ultimate.ExecutaEspace && Reg.meleeeq != 0)
                        HrState.PorradaClick();
                }else if(Reg.especeq != 0 && hrz >= HrState.Especial.nvX && hrz <= HrState.Especial.nvX + HrState.Especial.colmap && 
                    vert >= HrState.Especial.nvY && vert <= HrState.Especial.nvY + HrState.Especial.lnmap){
                        HrState.EspecialClick();
                }else{
                    FckHeroi.Atira(hrz,vert);
                }
            }
            
        },
        
        onDown: function (e){
            hrz = e.pageX;
            vert = e.pageY;
            Pressionado = true;
        },
        
        onMove: function (e){
            hrz = e.pageX;
            vert = e.pageY;
        },
        
        onUp: function (e){
            hrz = e.pageX;
            vert = e.pageY;
            Pressionado = false;
        },
        
        onClick: function (e){
            hrz = e.pageX;
            vert = e.pageY;
            if(Over.Over){
                if(hrz >= Over.imgShop.nvX && hrz <= Over.imgShop.nvX + Over.imgShop.colmap && 
                    vert >= Over.imgShop.nvY && vert <= Over.imgShop.nvY + Over.imgShop.lnmap){
                    Over.Shop();
                }else if(hrz >= Over.imgContinue.nvX && hrz <= Over.imgContinue.nvX + Over.imgContinue.colmap && 
                    vert >= Over.imgContinue.nvY && vert <= Over.imgContinue.nvY + Over.imgContinue.lnmap){
                    Over.Continue();
                }else if(hrz >= Over.imgQuit.nvX && hrz <= Over.imgQuit.nvX + Over.imgQuit.colmap && 
                    vert >= Over.imgQuit.nvY && vert <= Over.imgQuit.nvY + Over.imgQuit.lnmap){
                    Over.Quit();
                }
            }
            if(!Iniciar.iniciado){
                Iniciar.Comecou();
            }
            if(Cinem.start){
                if(hrz >= Cinem.btnSkp.nvX && hrz <= Cinem.btnSkp.nvX + Cinem.btnSkp.colmap && 
                    vert >= Cinem.btnSkp.nvY && vert <= Cinem.btnSkp.nvY + Cinem.btnSkp.lnmap){
                    Cinem.Skipp();
                }
            }
        },
        
        onDeviceReady: function(){
            var path = window.location.pathname;
            path = path.substr( path, path.length - 9);
            Sons = new Musica(1, path);
            if(Reg.level == 1)
                SFdLoop = new Media(path+"sound/sdfundo1.mp3",null,null,
                            function (status){    
                                if(status==Media.MEDIA_STOPPED && !ParaLoop)
                                    SFdLoop.play();
                            });
            else if(Reg.level == 2)
                SFdLoop = new Media(path+"sound/sdfundo2.mp3",null,null,
                            function (status){    
                                if(status==Media.MEDIA_STOPPED && !ParaLoop)
                                    SFdLoop.play();
                            });
            else if(Reg.level == 3)
                SFdLoop = new Media(path+"sound/sdfundo3.mp3",null,null,
                            function (status){    
                                if(status==Media.MEDIA_STOPPED && !ParaLoop)
                                    SFdLoop.play();
                            });
        },
        
        onDevicePause: function (){
            Sons.Pausa();
            ParaLoop = true;
            SFdLoop.stop();
            Hrpaused = new Date().getTime();
            Paused == true;
        },
        
        onDeviceResume: function (){
            SFdLoop.play();
            ParaLoop = false;
            Resumed = true;
            Paused = false;
        }
        
    };


