function Ladrao(canvas, context, Map, linhas, colunas, x, y){
        Sprite.call(this, canvas, context, Map, linhas, colunas);
        this.nvX =  x;
        this.nvY = y;
        this.intervalo = 70;
        this.xLanca = x;
        this.yLanca = y;
        this.distmax = 50*this.multiplyH;
        this.distancia = (FckHeroi.Sptplay.nvX+100*this.multiplyH)+Math.random()*this.canvas.width*0.3;
        this.Retan = [];
        this.Dano  = 40;
        this.Health = 20;
        this.FullHealth = 20;
        this.Money = 80;
        this.Death = false;
        this.Bateu = false;
        this.FimSprite = 6;
        this.hrMorte = 0;
        this.Sdinh = Sons.Money;
        this.SdM = Sons.Morte[parseInt(Math.random()*3)];
    }
    
    Ladrao.prototype = Object.create(Sprite.prototype);
    Ladrao.prototype.constructor = Ladrao;
    Ladrao.prototype.Atualizar = function (){
        if(!Ultimate.ExecutaEspace){
            this.Retan = this.RectColid();
            this.VerificaEstado();
            if(!this.Death){
                this.ColidPedra();
                this.ColidHeroi();
                this.Golpeado();
            }

            this.NovoQuadro();
        }else if(!this.Death){
            this.TomaEspecial();
        }
        
    };
    
    Ladrao.prototype.VerificaMov = function(){
        if(FckHeroi.Death && this.linha < 3 && !this.Death){
            this.linha = 4;
            this.coluna = 1;
            this.FimSprite = 4;
        }
        if(this.nvX-(FckHeroi.Sptplay.nvX+FckHeroi.Sptplay.colmap) <= this.distancia && 
           this.nvX > (this.distancia-this.distmax) && this.linha==1){
            this.linha = 2;
            this.coluna = 1;
            this.FimSprite = 7;
        }else if(this.nvX < (this.distancia-this.distmax) && this.linha == 2){
            this.linha = 1;
            this.coluna = 1;
            this.FimSprite = 6;
            this.AnimaSprite = true;
        }else if(this.linha != 5){
            this.nvX -= Velocidade*10;
        }else{
            this.nvX -= Velocidade;
        }    
        
    };
        
    Ladrao.prototype.RectColid = function(){
        return[{x: this.nvX + 0.45*this.colmap,
                y: this.nvY + 0.55*this.lnmap,
                largura: 0.5*this.colmap,
                altura: 0.45*this.lnmap,
                colid: 2
            },
            {x: this.nvX + 0.45*this.colmap,
                y: this.nvY + 0.29*this.lnmap,
                largura: 0.4*this.colmap,
                altura: 0.26*this.lnmap,
                colid: 2
            },
            {x: this.nvX + 0.6*this.colmap,
                y: this.nvY + 0.09*this.lnmap,
                largura: 0.18*this.colmap,
                altura: 0.18*this.lnmap,
                colid: 2
            },
            {x: this.nvX + 0.15*this.colmap,
                y: this.nvY + 0.7*this.lnmap,
                largura: 0.3*this.colmap,
                altura: 0.3*this.lnmap,
                colid: 2
        }];
    };
        
    Ladrao.prototype.Pinta = function(){
        this.Desenhar();
        
        if(!this.Death){
            this.context.fillStyle = "black";
            this.context.fillRect(this.nvX+40*this.multiplyH, this.nvY-5*this.multiplyH,
                                    this.colmap-50*this.multiplyH, 2*this.multiplyH);
            this.context.fillStyle = "red";
            this.context.fillRect(this.nvX+40*this.multiplyH, this.nvY-5*this.multiplyH,
                                    (this.colmap-50*this.multiplyH)*this.Health/this.FullHealth, 3*this.multiplyH);
        }
        
        //this.context.strokeStyle = "blue";
        //this.context.strokeRect(this.Retan[0].x, this.Retan[0].y, this.Retan[0].largura, this.Retan[0].altura);
        //this.context.strokeStyle = "green";
        //this.context.strokeRect(this.Retan[1].x, this.Retan[1].y, this.Retan[1].largura, this.Retan[1].altura);
        //this.context.strokeRect(this.Retan[2].x, this.Retan[2].y, this.Retan[2].largura, this.Retan[2].altura);
        //this.context.strokeRect(this.Retan[3].x, this.Retan[3].y, this.Retan[3].largura, this.Retan[3].altura);
    };
    
    Ladrao.prototype.ColidPedra = function (){
        for(var i in FckHeroi.Tiro){
            if(!FckHeroi.Tiro[i].Colediu){
                for (var j in this.Retan){
                    
                    if(j==2 || j==1){
                        if(this.linha == 2 && this.coluna > 2)
                                break;
                    }
                    
                    if(j==3 && this.linha != 2)
                        break;
                    
                    if(!this.Death){
                        if(Colisao(FckHeroi.Tiro[i].Retan[0], this.Retan[j])){
                            this.Health -= FckHeroi.Tiro[i].Dano;
                            FckHeroi.Tiro[i].ProjetilColidiu();
                            if(this.Health <= 0){
                                this.SdM.play();
                                this.Death = true;
                                HrState.SomaPontos(this.Money);
                                this.linha=5;
                                this.coluna=1;
                                this.AnimaSprite =true;
                                this.FimSprite = 4;
                            }
                            break;
                        }
                    }
                }
            }
        }
    };
    
    Ladrao.prototype.ColidHeroi = function (){
        if(!this.Bateu){
            for(var i in FckHeroi.Retan){
                for (var j in this.Retan){
                    if(!this.Bateu){
                        if(Colisao(this.Retan[j], FckHeroi.Retan[i])){

                            if(j==2 || j==1){
                                if(this.linha == 2 && this.coluna > 2)
                                        break;
                            }

                            if(j==3 && this.linha != 2)
                                break;
                            
                            this.Sdinh.play();
                            this.Bateu = true; 
                            HrState.PegaGoiaba(this.Dano);
                            this.linha = 3;
                            this.coluna = 2;
                            this.AnimaSprite =true;
                            this.FimSprite =6;
                            break;
                        }
                    }
                }
            }
        }
    };
    
    Ladrao.prototype.VerificaEstado = function (){
        switch (this.linha){
            case 1:
                this.VerificaMov();
                if(this.Death){
                    this.linha =5;
                    this.coluna = 1;
                    this.AnimaSprite = true;
                }
            break;
            case 2:
                this.VerificaMov();
                if(this.coluna==7){
                    this.AnimaSprite = false;
                }
                if(this.Death){
                    this.linha =5;
                    this.coluna = 1;
                    this.AnimaSprite = true;
                }
            break;
            case 3:
                this.VerificaMov();
                if(this.Death){
                    this.linha =5;
                    this.coluna = 1;
                    this.AnimaSprite = true;
                }
            break;
            case 4:
                this.VerificaMov();
                if(this.Death){
                    this.linha =5;
                    this.coluna = 1;
                    this.AnimaSprite = true;
                }
            break;
            case 5:
                this.VerificaMov();
                if(this.coluna == 4)
                    this.AnimaSprite = false;
                if(this.coluna == 4 && this.hrMorte == 0)
                    this.hrMorte = new Date().getTime();
            break;
        }
    };
    
    Ladrao.prototype.Golpeado = function (){
        if(FckHeroi.Sptplay.linha == FckHeroi.lnBate){
            for (var j in this.Retan){
                if(!this.Death){
                    if(Colisao(FckHeroi.Retan[3], this.Retan[j]) && FckHeroi.Sptplay.coluna == 3 &&
                            FckHeroi.Acertos > 0){
                        FckHeroi.Acertos--;

                        if(j==2 || j==1){
                            if(this.linha == 2 && this.coluna > 2)
                                    break;
                        }

                        if(j==3 && this.linha != 2)
                            break;

                        this.Health -= FckHeroi.HitDano;
                        if(this.Health <= 0){
                            this.SdM.play();
                            this.Death = true;
                            this.linha=5;
                            this.coluna =1;
                            this.AnimaSprite =true;
                            this.FimSprite = 4;
                        }
                        break;
                    }
                }
            }
        }
    };
    
    Ladrao.prototype.TomaEspecial = function (){
        if(Ultimate.Vida > 0){
            if(this.Health > Ultimate.Vida){
                this.Health -= Ultimate.Vida;
                Ultimate.Vida = 0;
            }else{
                Ultimate.Vida -= this.Health;
                this.Health = 0;
                this.Death = true;
                HrState.SomaPontos(this.Money);
            }
        }
    };
    
    Ladrao.prototype.MataPersonagem = function (){
        this.Health = 0;
        this.Death = true;
        HrState.SomaPontos(this.Money);
        this.linha=5;
        this.coluna=1;
        this.AnimaSprite =true;
        this.FimSprite = 4;
    };


