    var canvas;
    var context;
    var Template;
    var Opcao;
    var admob;
    var Reg;
    var Conto;
    var hrz, vert;
    var Pressionado;
    var Sons;
    
    
    function TelaInicial(cv){
        canvas = cv;
        canvas.style.position = "absolute";
        canvas.style.top = 0;
        canvas.style.left = 0;
        context = canvas.getContext('2d');        

        canvas.width = $(window).width();
        canvas.height = $(window).height();
        
        hrz=vert=0;
        Pressionado = false;
        
        this.FPS =  30;
        Reg = new Registro(canvas, context);
        canvas.addEventListener("click",this.TouchEvent,false);
        $(document).on("vmousedown","#GameCanvas",this.onDown);
        $(document).on("vmouseup","#GameCanvas",this.onUp);
        document.addEventListener("deviceready", this.onDeviceReady, false);
        this.Animacao = new GameLoop(this);
    }
    
    TelaInicial.prototype = {
        Carregar: function(){
            Reg.Carregar();
            Template = new TemplateTelaInicial(canvas, context, this);
            Opcao = new Caminho(canvas, context);
            Conto = new Historia(canvas, context, "img/outros/iniciohist1.png");
            this.Animacao.ligar();
        },
        
        Atualizar: function (){
            if(Pressionado && Conto.conta)
                this.onPress();
            
            if(!Opcao.escolha && !Conto.conta)
                Template.Atualizar();
            else if(Opcao.escolha && !Conto.conta)
                Opcao.Atualizar();
            else
                Conto.Atualizar();
                
        },
        
        Desenhar: function (){
            if(!Opcao.escolha && !Conto.conta)
                Template.Desenhar();
            else if(Opcao.escolha && !Conto.conta)
                Opcao.Desenhar();
            else
                Conto.Desenhar();
        },
        
        onPress: function (){
            if(hrz >= Conto.SptDown.nvX && hrz <= Conto.SptDown.nvX + Conto.SptDown.colmap &&
               vert >= Conto.SptDown.nvY && vert <= Conto.SptDown.nvY + Conto.SptDown.lnmap){
                Conto.Novaposicao(100);
            }
            
            if(hrz >= Conto.SptUp.nvX && hrz <= Conto.SptUp.nvX + Conto.SptUp.colmap &&
               vert >= Conto.SptUp.nvY && vert <= Conto.SptUp.nvY + Conto.SptUp.lnmap){
                Conto.Novaposicao(150);
            }
        },
        
        onDown: function (e){
            hrz = e.pageX;
            vert = e.pageY;
            Pressionado = true;
        },
        
        onUp: function (e){
            hrz = e.pageX;
            vert = e.pageY;
            Pressionado = false;
        },
        
        TouchEvent: function (e){            
            hrz = e.pageX;
            vert = e.pageY;
            
            if(!Opcao.escolha && !Conto.conta){
                if(hrz >= Template.Start.nvX && hrz <= Template.Start.nvX + Template.Start.colmap &&
                   vert >= Template.Start.nvY && vert <= Template.Start.nvY + Template.Start.lnmap){
                    Template.Iniciar();
                }

                if(hrz >= Template.Shop.nvX && hrz <= Template.Shop.nvX + Template.Shop.colmap &&
                   vert >= Template.Shop.nvY && vert <= Template.Shop.nvY + Template.Shop.lnmap){
                    Template.Compre();
                }

                if(hrz >= Template.Quit.nvX && hrz <= Template.Quit.nvX + Template.Quit.colmap &&
                   vert >= Template.Quit.nvY && vert <= Template.Quit.nvY + Template.Quit.lnmap){
                    Template.Sair();
                }
            }else if(Opcao.escolha && !Conto.conta){
                if(hrz >= canvas.width/2 - Opcao.imgZueira.width/2 && hrz <= canvas.width/2 + Opcao.imgZueira.width/2 &&
                   vert >= Opcao.canvas.height-Opcao.imgBase.height*0.97 && vert <= Opcao.canvas.height-Opcao.imgBase.height*0.97 + Opcao.imgZueira.height){
                    Opcao.OpcZueira();
                }

                if(Opcao.SptRole.coluna == 2 && hrz >= Opcao.SptRole.nvX && hrz <= Opcao.SptRole.nvX + Opcao.SptRole.colmap &&
                   vert >= Opcao.SptRole.nvY && vert <= Opcao.SptRole.nvY + Opcao.SptRole.lnmap){
                    Opcao.OpcRole();
                }

                if(Opcao.SptCorrup.coluna == 2 && hrz >= Opcao.SptCorrup.nvX && hrz <= Opcao.SptCorrup.nvX + Opcao.SptCorrup.colmap &&
                   vert >= Opcao.SptCorrup.nvY && vert <= Opcao.SptCorrup.nvY + Opcao.SptCorrup.lnmap){
                    Opcao.OpcCorrup();
                }

                if(hrz >= Opcao.SptVoltar.nvX && hrz <= Opcao.SptVoltar.nvX + Opcao.SptVoltar.colmap &&
                   vert >= Opcao.SptVoltar.nvY && vert <= Opcao.SptVoltar.nvY + Opcao.SptVoltar.lnmap){
                    Opcao.OpcVoltar();
                }
            }else{
                if(hrz >= Conto.SptPlay.nvX && hrz <= Conto.SptPlay.nvX + Conto.SptPlay.colmap &&
                   vert >= Conto.SptPlay.nvY && vert <= Conto.SptPlay.nvY + Conto.SptPlay.lnmap){
                    Conto.ExecGame();
                }
            }
        },
        
        onDeviceReady: function (){
            var path = window.location.pathname;
            path = path.substr( path, path.length - 10 );
            Sons = new Musica(0, path);
        }
        
    };





